> ## Documentation Index
> Fetch the complete documentation index at: https://interfere.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Redirect to the installer for a platform



## OpenAPI

````yaml https://api.interfere.com/openapi.json get /v3/updates/install/{target}/{arch}
openapi: 3.0.0
info:
  title: Interfere API
  termsOfService: https://interfere.com/legal/terms-of-service
  contact:
    email: support@interfere.com
    name: Interfere Support
    url: https://interfere.com/~/*/settings/support
  license:
    name: All Rights Reserved
  description: >-
    Interfere empowers engineers, product managers and designers with real-time
    understanding of previously unseen bugs and issues.
  version: 3.0.0
servers:
  - url: https://api.interfere.com
    description: This environment
security: []
tags:
  - name: Drain
    description: Drain API
  - name: Releases
    description: Build-time release API
  - name: Replay
    description: Session replay chunk ingest API
  - name: Sessions
    description: Session and end-user identity API
  - name: Updates
    description: Desktop app update API
  - name: Traces
    description: Trace waterfall read API
externalDocs:
  url: https://interfere.com/docs
  description: Interfere Documentation
paths:
  /v3/updates/install/{target}/{arch}:
    get:
      tags:
        - Updates
      summary: Redirect to the installer for a platform
      operationId: updatesInstall
      parameters:
        - schema:
            type: string
            enum:
              - darwin
              - windows
            description: Desktop platform
            example: darwin
          required: true
          description: Desktop platform
          name: target
          in: path
        - schema:
            type: string
            enum:
              - aarch64
              - x86_64
            description: CPU architecture
            example: aarch64
          required: true
          description: CPU architecture
          name: arch
          in: path
      responses:
        '302':
          description: Redirect to the installer download
        '404':
          description: No installer published for this platform
        '503':
          description: >-
            A dependency failed while serving updates; retry with backoff after
            the Retry-After delay
          headers:
            Retry-After:
              schema:
                type: string
                description: Seconds to wait before retrying
              required: true
              description: Seconds to wait before retrying
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatesUnavailableProblem'
components:
  schemas:
    UpdatesUnavailableProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - UPDATES_INFRA_UNAVAILABLE
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code

````